Details

      Description

      When I run ./bin/windup --batchMode --input samples/jee-example-app-1.0.0.ear, I get an error target parameter is required.

      When I add the --target parameter with a nonsense value, e.g. --target foobar, all works just fine and I actually get a migration report.

      This either means that some default value is chosen, or the program proceeds like if no target was defined. In any case, I just circumvented the fact that target is mandatory.

      Either --target shouldn't be required, or its value should be validated.

      The same happens in the interactive mode, where I simply enter an invalid value when I'm prompted to select a target:

      Please enter the item you would like to choose[eap]: foobar
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                jsightler Jess Sightler
                Reporter:
                lthon Ladislav Thon
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: